<?php declare(strict_types=1);

namespace Sit\Creditpass\Console\Command;

use Shopware\Core\Framework\Context;
use Shopware\Core\Framework\DataAbstractionLayer\EntityRepositoryInterface;
use Shopware\Core\Framework\DataAbstractionLayer\Search\Criteria;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Helper\Table;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class CheckListCommand extends Command {

    private $checkRepository;

    public function __construct(
        EntityRepositoryInterface $checkRepository,
        string $name = null) {

        parent::__construct($name);
        $this->checkRepository = $checkRepository;
    }

    protected function configure() {

        $this->setName("cp_check:list")->setDescription("List all cp_checks");
    }

    protected function execute(InputInterface $input, OutputInterface $output ) {

        $searchResult = $this->checkRepository->search(new Criteria(), Context::createDefaultContext());

        $table = new Table($output);
        $table->setHeaders(['UUID', 'Ergebnis']);

        foreach ($searchResult->getEntities() as $check) {
            $table->addRow([
                $check->getId(),
                $check->getResponseResult()
            ]);
        }

        $table->render();
    }
}
