<?php declare(strict_types=1);

namespace Sit\Creditpass\Console\Command;

use Shopware\Core\Framework\DataAbstractionLayer\EntityRepositoryInterface;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class ConfigurationCreateCommand extends Command {

    private $configurationRepository;

    public function __construct(
        EntityRepositoryInterface $configurationRepository,
        string $name = null) {

        parent::__construct($name);
        $this->configurationRepository = $configurationRepository;
    }

    protected function configure() {

        $this->setName("cp_configuration:create")->setDescription("Create new Creditpass configuration");
    }

    protected function execute(InputInterface $input, OutputInterface $output ) {

        $output->writeln(get_class($this->configurationRepository));
    }
}
