<?php declare(strict_types=1);

namespace Sit\Creditpass\Core\Content\Check;

use Shopware\Core\Checkout\Customer\CustomerEntity;
use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;
use Sit\Creditpass\Core\Content\Configuration\ConfigurationEntity;

class CheckEntity extends Entity {

    use EntityIdTrait;

    protected $request;
    protected $requestFirstname;
    protected $requestLastname;
    protected $requestStreet;
    protected $requestCity;
    protected $requestDate;
    protected $requestPurchaseType;
    protected $requestHash;

    protected $response;
    protected $responseResult;

    /**
     * @var
     */
    protected $customerId;

    /**
     * @var CustomerEntity|null
     */
    protected $customer;

    /**
     * @var
     */
    protected $configurationId;

    /**
     * @var ConfigurationEntity|null
     */
    protected $configuration;

    public function getRequest(): ?string  {

        return $this->request;
    }

    public function setRequest( ?string $request ): void {

        $this->request = $request;
    }

    public function getRequestFirstname(): ?string  {

        return $this->requestFirstname;
    }

    public function setRequestFirstname( ?string $requestFirstname ): void {

        $this->requestFirstname = $requestFirstname;
    }

    public function getRequestLastname(): ?string  {

        return $this->requestLastname;
    }

    public function setRequestLastname( ?string $requestLastname ): void {

        $this->requestLastname = $requestLastname;
    }

    public function getRequestStreet(): ?string  {

        return $this->requestStreet;
    }

    public function setRequestStreet( ?string $requestStreet ): void {

        $this->requestStreet = $requestStreet;
    }

    public function getRequestCity(): ?string  {

        return $this->requestCity;
    }

    public function setRequestCity( ?string $requestCity ): void {

        $this->requestCity = $requestCity;
    }

    public function getRequestDate(): ?\DateTimeInterface  {

        return $this->requestDate;
    }

    public function setRequestDate( ?\DateTimeInterface $requestDate ): void {

        $this->requestDate = $requestDate;
    }

    public function getRequestPurchaseType(): ?string  {

        return $this->requestPurchaseType;
    }

    public function setRequestPurchaseType( ?string $requestPurchaseType ): void {

        $this->requestPurchaseType = $requestPurchaseType;
    }

    public function getRequestHash(): ?string  {

        return $this->requestHash;
    }

    public function setRequestHash( ?string $requestHash ): void {

        $this->requestHash = $requestHash;
    }

    public function getResponse(): ?string  {

        return $this->response;
    }

    public function setResponse( ?string $response ): void {

        $this->response = $response;
    }

    public function getResponseResult(): ?string  {

        return $this->responseResult;
    }

    public function setResponseResult( ?string $responseResult ): void {

        $this->responseResult = $responseResult;
    }

    public function getConfigurationId(): ?string  {

        return $this->configurationId;
    }

    public function setConfigurationId( ?string $configurationId ): void {

        $this->configurationId = $configurationId;
    }

    public function getCustomerId(): ?string {

        return $this->customerId;
    }

    public function setCustomerId( ?string $customerId ): void {

        $this->customerId = $customerId;
    }

    public function getCustomer(): ?CustomerEntity {

        return $this->customer;
    }

    public function setCustomer( ?CustomerEntity $customer ): void {

        $this->customer = $customer;
    }

    public function getConfiguration(): ?ConfigurationEntity {

        return $this->configuration;
    }

    public function setConfiguration( ?ConfigurationEntity $configuration ): void {

        $this->configuration = $configuration;
    }
}
