<?php declare(strict_types=1);

namespace Sit\Creditpass\Core\Content\Configuration\Aggregate\ConfigurationCategory;

use Shopware\Core\Content\Category\CategoryDefinition;
use Sit\Creditpass\Core\Content\Configuration\ConfigurationDefinition;
use Shopware\Core\Framework\DataAbstractionLayer\Field\FkField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\PrimaryKey;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\Required;
use Shopware\Core\Framework\DataAbstractionLayer\Field\ManyToOneAssociationField;
use Shopware\Core\Framework\DataAbstractionLayer\FieldCollection;
use Shopware\Core\Framework\DataAbstractionLayer\MappingEntityDefinition;

class ConfigurationCategoryDefinition extends MappingEntityDefinition
{
    public const ENTITY_NAME = 'cp_configuration_category';

    public function getEntityName(): string
    {
        return self::ENTITY_NAME;
    }

    public function isVersionAware(): bool
    {
        return true;
    }

    public function since(): ?string
    {
        return '6.0.0.0';
    }

    protected function defineFields(): FieldCollection
    {
        return new FieldCollection([
            (new FkField('configuration_id', 'configurationId', ConfigurationDefinition::class))->addFlags(new PrimaryKey(), new Required()),
//            (new ReferenceVersionField(ConfigurationDefinition::class))->addFlags(new PrimaryKey(), new Required()),

            (new FkField('category_id', 'categoryId', CategoryDefinition::class))->addFlags(new PrimaryKey(), new Required()),
//            (new ReferenceVersionField(CategoryDefinition::class))->addFlags(new PrimaryKey(), new Required()),
            new ManyToOneAssociationField('configuration', 'configuration_id', ConfigurationDefinition::class, 'id', false),
            new ManyToOneAssociationField('category', 'category_id', CategoryDefinition::class, 'id', false),
        ]);
    }
}
