<?php declare(strict_types=1);

namespace Sit\Creditpass\Core\Content\Configuration;

use Shopware\Core\Checkout\Customer\Aggregate\CustomerGroup\CustomerGroupCollection;
use Shopware\Core\Checkout\Payment\PaymentMethodCollection;
use Shopware\Core\Content\Category\CategoryCollection;
use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class ConfigurationEntity extends Entity {

    use EntityIdTrait;

    protected $name;
    protected $isActive;
    protected $amountFrom;
    protected $amountTo;
    protected $repeatAfter;
    protected $errormessage;
    protected $creditpassUser;
    protected $creditpassPassword;
    protected $purchaseType;
    protected $isAbortOnFail;

    /**
     * @var CustomerGroupCollection
     */
    protected $groups;


    public function getGroups(): ?CustomerGroupCollection {

        return $this->groups;
    }

    public function setGroups( CustomerGroupCollection $groups ): void {

        $this->groups = $groups;
    }

    /**
     * @var CustomerGroupCollection
     */
    protected $wlgroups;

    public function getWlgroups(): ?CustomerGroupCollection {

        return $this->wlgroups;
    }

    public function setWlgroups( CustomerGroupCollection $wlgroups ): void {

        $this->wlgroups = $wlgroups;
    }


    /**
     * @var PaymentMethodCollection
     */
    protected $payments;

    public function getPayments(): ?PaymentMethodCollection {

        return $this->payments;
    }

    public function setPayments(PaymentMethodCollection $payments): void {

        $this->payments = $payments;
    }

    /**
     * @var CategoryCollection|null
     */
    protected $categories;

    public function getCategories(): ?CategoryCollection {

        return $this->categories;
    }

    public function setCategories(CategoryCollection $categories): void {

        $this->categories = $categories;
    }

    public function getPurchaseType(): ?string {

        return $this->purchaseType;
    }

    public function setPurchaseType( ?string $purchaseType ): void {

        $this->purchaseType = $purchaseType;
    }

    public function getIsAbortOnFail(): bool {

        return $this->isAbortOnFail;
    }

    public function setIsAbortOnFail( bool $isAbortOnFail ): void {

        $this->isAbortOnFail = $isAbortOnFail;
    }

    public function getName(): ?string {

        return $this->name;
    }

    public function setName( ?string $name ): void {

        $this->name = $name;
    }

    public function getIsActive(): bool {

        return $this->isActive;
    }

    public function setIsActive( bool $isActive ): void {

        $this->isActive = $isActive;
    }

    public function getAmountFrom(): ?int {

        return $this->amountFrom;
    }

    public function setAmountFrom( ?int $amountFrom ): void {

        $this->amountFrom = $amountFrom;
    }

    public function getAmountTo(): ?int {

        return $this->amountTo;
    }

    public function setAmountTo( ?int $amountTo ): void {

        $this->amountTo = $amountTo;
    }

    public function getRepeatAfter(): ?int {

        return $this->repeatAfter;
    }

    public function setRepeatAfter( ?int $repeatAfter ): void {

        $this->repeatAfter = $repeatAfter;
    }

    public function getErrormessage(): ?string {

        return $this->errormessage;
    }

    public function setErrormessage( ?string $errormessage ): void {

        $this->errormessage = $errormessage;
    }

    public function getCreditpassUser(): ?string {

        return $this->creditpassUser;
    }

    public function setCreditpassUser( ?string $creditpassUser ): void {

        $this->creditpassUser = $creditpassUser;
    }

    public function getCreditpassPassword(): ?string {

        return $this->creditpassPassword;
    }

    public function setCreditpassPassword( ?string $creditpassPassword ): void {

        $this->creditpassPassword = $creditpassPassword;
    }
}
