<?php declare(strict_types=1);

namespace Sit\Creditpass\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1626681713CreditpassCheck extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1626681713;
    }

    public function update(Connection $connection): void
    {
        $query = <<<SQL
CREATE TABLE IF NOT EXISTS `cp_check` (
    `id`                     BINARY(16) NOT NULL,
    `customer_id`            BINARY(16) NOT NULL,
    `configuration_id`       BINARY(16) NOT NULL,
    `request`                LONGTEXT   COLLATE utf8mb4_unicode_ci,
    `requestFirstname`       VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `requestLastname`        VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `requestStreet`          VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `requestCity`            VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `requestDate`            DATETIME NOT NULL,
    `requestPurchaseType`    VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `requestHash`            VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `response`               LONGTEXT   COLLATE utf8mb4_unicode_ci,
    `responseResult`         VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `created_at` DATETIME(3) NOT NULL,
    `updated_at` DATETIME(3) NULL,
    PRIMARY KEY (id)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = utf8mb4
    COLLATE = utf8mb4_unicode_ci;
SQL;

        $connection->exec($query);
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
