<?php declare(strict_types=1);

namespace Sit\Creditpass\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1626681713CreditpassConfiguration extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1626681713;
    }

    public function update(Connection $connection): void
    {
        $query = <<<SQL
CREATE TABLE IF NOT EXISTS `cp_configuration` (
    `id` BINARY(16) NOT NULL,
    `name`               VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `isActive`           TINYINT(1)      DEFAULT 0 COLLATE utf8mb4_unicode_ci,
    `amountFrom`         INT DEFAULT 0,
    `amountTo`           INT DEFAULT 9999999,
    `repeatAfter`        INT DEFAULT 0,
    `errormessage`       TEXT            COLLATE utf8mb4_unicode_ci,
    `creditpassUser`     VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `creditpassPassword` VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `purchaseType`       VARCHAR(255)    COLLATE utf8mb4_unicode_ci,
    `isAbortOnFail`      TINYINT(1)      DEFAULT 0 COLLATE utf8mb4_unicode_ci,
    `created_at` DATETIME(3) NOT NULL,
    `updated_at` DATETIME(3) NULL,
    PRIMARY KEY (id)
)
    ENGINE = InnoDB
    DEFAULT CHARSET = utf8mb4
    COLLATE = utf8mb4_unicode_ci;
SQL;

        $connection->exec($query);

        $connection->exec('
            CREATE TABLE IF NOT EXISTS `cp_configuration_category` (
              `configuration_id` BINARY(16) NOT NULL,
              `category_id` BINARY(16) NOT NULL,
              PRIMARY KEY (`configuration_id`, `category_id`)
            )
            ENGINE=InnoDB
            DEFAULT CHARSET=utf8mb4
            COLLATE=utf8mb4_unicode_ci;
        ');

        $connection->exec('
            CREATE TABLE IF NOT EXISTS `cp_configuration_payment_method` (
              `configuration_id` BINARY(16) NOT NULL,
              `payment_method_id` BINARY(16) NOT NULL,
              PRIMARY KEY (`configuration_id`, `payment_method_id`)
            )
            ENGINE=InnoDB
            DEFAULT CHARSET=utf8mb4
            COLLATE=utf8mb4_unicode_ci;
        ');

        $connection->exec('
            CREATE TABLE IF NOT EXISTS `cp_configuration_customer_group` (
              `configuration_id` BINARY(16) NOT NULL,
              `customer_group_id` BINARY(16) NOT NULL,
              PRIMARY KEY (`configuration_id`, `customer_group_id`)
            )
            ENGINE=InnoDB
            DEFAULT CHARSET=utf8mb4
            COLLATE=utf8mb4_unicode_ci;
        ');

        $connection->exec('
            CREATE TABLE IF NOT EXISTS `cp_configuration_customer_group_whitelist` (
              `configuration_id` BINARY(16) NOT NULL,
              `customer_group_id` BINARY(16) NOT NULL,
              PRIMARY KEY (`configuration_id`, `customer_group_id`)
            )
            ENGINE=InnoDB
            DEFAULT CHARSET=utf8mb4
            COLLATE=utf8mb4_unicode_ci;
        ');
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
