import './page/cp-check-list';
import './page/cp-check-create';
import './page/cp-check-detail';

import deDE from '../../snippets/de-DE.json';
import enGB from '../../snippets/en-GB.json';

const { Module } = Shopware;

let configuration = {
    type: 'plugin',
    name: 'SIT-Creditpass',
    title: 'cp-trans.title',
    description: 'cp-trans.description',
    version: '0.1',
    targetVersion: '0.1',

    snippets: {
        'de-DE': deDE,
        'en-GB': enGB
    },

    routes: {
        list: {
            component: 'cp-check-list',
            path: 'list'
        },
        detail: {
            component: 'cp-check-detail',
            path: 'detail/:id',
            meta: {
                parentPath: 'cp.check.list'
            }
        },
        create: {
            component: 'cp-check-create',
            path: 'create',
            meta: {
                parentPath: 'cp.check.list'
            }
        }
    },

    navigation: [
        {
            label: 'cp-trans.menuitemchecks',
            color: '#3d67ff',
            path: 'cp.check.list',
            parent: 'sw-customer'
        }
    ]
};

Module.register('cp-check', configuration);
