import template from './cp-check-list.html.twig';
import './cp-check-list.scss';

const { Component, Mixin } = Shopware;
const { Criteria } = Shopware.Data;

Shopware.Component.register('cp-check-list', {
    template,

    inject: [
        'repositoryFactory'
    ],

    data() {
        return {
            repository: null,
            cpCheck: null
        };
    },

    metaInfo() {
        return {
            title: this.$createTitle()
        };
    },

    computed: {
        columns() {
            return [{
                property: 'requestFirstname',
                dataIndex: 'requestFirstname',
                label: this.$t('cp-trans.cp-check-list.requestFirstname'),
                routerLink: 'cp.check.detail',
                inlineEdit: 'string',
                allowResize: true,
                primary: true
            }, {
                property: 'requestLastname',
                dataIndex: 'requestLastname',
                label: this.$t('cp-trans.cp-check-list.requestLastname'),
                allowResize: true,
                align: 'center'
            }, {
                property: 'requestStreet',
                dataIndex: 'requestStreet',
                label: this.$t('cp-trans.cp-check-list.requestStreet'),
                allowResize: true
            }, {
                property: 'requestCity',
                dataIndex: 'requestCity',
                label: this.$t('cp-trans.cp-check-list.requestCity'),
                allowResize: true
            }, {
                property: 'requestDate',
                dataIndex: 'requestDate',
                label: this.$t('cp-trans.cp-check-list.requestDate'),
                allowResize: true
            }, {
                property: 'requestPurchaseType',
                dataIndex: 'requestPurchaseType',
                label: this.$t('cp-trans.cp-check-list.requestPurchaseType'),
                allowResize: true
            }, {
                property: 'responseResult',
                dataIndex: 'responseResult',
                label: this.$t('cp-trans.cp-check-list.responseResult'),
                allowResize: true
            }];
        }
    },

    created() {
        this.repository = this.repositoryFactory.create('cp_check');

        this.repository
            .search(new Criteria(), Shopware.Context.api)
            .then((result) => {
                this.cpCheck = result;
            });
    }
});
