import './page/cp-configuration-list';
import './page/cp-configuration-create';
import './page/cp-configuration-detail';

import deDE from '../../snippets/de-DE.json';
import enGB from '../../snippets/en-GB.json';

const { Module } = Shopware;

let configuration = {
    type: 'plugin',
    name: 'SIT-Creditpass',
    title: 'cp-trans.title',
    description: 'cp-trans.description',
    version: '0.1',
    targetVersion: '0.1',

    snippets: {
        'de-DE': deDE,
        'en-GB': enGB
    },

    routes: {
        list: {
            component: 'cp-configuration-list',
            path: 'list'
        },
        detail: {
            component: 'cp-configuration-detail',
            path: 'detail/:id',
            meta: {
                parentPath: 'cp.configuration.list'
            }
        },
        create: {
            component: 'cp-configuration-create',
            path: 'create',
            meta: {
                parentPath: 'cp.configuration.list'
            }
        }
    },

    navigation: [
        {
            id: 'creditpass',
            label: 'cp-trans.menuitem',
            color: '#3d67ff',
            path: 'cp.configuration.list',
            params: {
                namespace: "Creditpass"
            },
            parent: 'sw-customer'
        }
    ]
};

Module.register('cp-configuration', configuration);
