const { Component } = Shopware;

Component.extend('cp-configuration-create', 'cp-configuration-detail', {
    methods: {

        createdComponent() {
            this.cpConfiguration = this.repository.create(Shopware.Context.api);
        },

        onSave() {

            this.isSaveSuccessful = false;

            this.onSaveUpdateCategorySelection();
            this.onSaveUpdatePaymentSelection();
            this.onSaveUpdateGroupSelection();
            this.onSaveUpdateGroupWhitelistSelection();

            this.repository.save(this.cpConfiguration, Shopware.Context.api).then(() => {

                this.isSaveSuccessful = true;
                this.$router.push({ name: 'cp.configuration.detail', params: { id: this.cpConfiguration.id, checkcredentials: true } })

            }).catch((exception) => {

                this.isSaveSuccessful = false;

                this.createNotificationError({
                    title: this.$t('cp-trans.cp-config-detail.errorTitle'),
                    message: exception
                });
            });
        }
    }
});
