import template from './cp-configuration-list.html.twig';
import './cp-configuration-list.scss';

const { Component, Mixin } = Shopware;
const { Criteria } = Shopware.Data;

Shopware.Component.register('cp-configuration-list', {
    template,

    inject: [
        'repositoryFactory'
    ],

    data() {
        return {
            repository: null,
            cpConfiguration: null
        };
    },

    metaInfo() {
        return {
            title: this.$createTitle()
        };
    },

    computed: {
        columns() {
            return [{
                property: 'name',
                dataIndex: 'name',
                label: this.$t('cp-trans.cp-config-list.name'),
                routerLink: 'cp.configuration.detail',
                inlineEdit: 'string',
                allowResize: true,
                primary: true
            }, {
                property: 'isActive',
                dataIndex: 'isActive',
                label: this.$t('cp-trans.cp-config-list.isActive'),
                allowResize: true,
                align: 'center'
            }, {
                property: 'amountFrom',
                dataIndex: 'amountFrom',
                label: this.$t('cp-trans.cp-config-list.amountFrom'),
                allowResize: true
            }, {
                property: 'amountTo',
                dataIndex: 'amountTo',
                label: this.$t('cp-trans.cp-config-list.amountTo'),
                allowResize: true
            }, {
                property: 'repeatAfter',
                dataIndex: 'repeatAfter',
                label: this.$t('cp-trans.cp-config-list.repeatAfter'),
                allowResize: true
            }, {
                property: 'purchaseType',
                dataIndex: 'purchaseType',
                label: this.$t('cp-trans.cp-config-list.purchaseType'),
                allowResize: true
            }];
        }
    },

    created() {
        this.repository = this.repositoryFactory.create('cp_configuration');

        this.repository
            .search(new Criteria(), Shopware.Context.api)
            .then((result) => {
                this.cpConfiguration = result;
            });
    }
});
